---
title: Date.prototype.toJSON()
slug: Web/JavaScript/Reference/Global_Objects/Date/toJSON
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>toJSON()</code></strong> method returns a string representation of the {{jsxref("Date")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/date-tojson.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.toJSON()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representation of the given date.</p>

<h2 id="Description">Description</h2>

<p>{{jsxref("Date")}} instances refer to a specific point in time. Calling <code>toJSON()</code> returns a string (using {{jsxref("Date.prototype.toISOString()", "toISOString()")}}) representing the {{jsxref("Date")}} object's value. This method is generally intended to, by default, usefully serialize {{jsxref("Date")}} objects during <a href="/en-US/docs/Glossary/JSON">JSON</a> serialization.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toJSON">Using toJSON()</h3>

<pre class="brush:js notranslate">var jsonDate = (new Date()).toJSON();
var backToDate = new Date(jsonDate);

console.log(jsonDate); //2015-10-26T07:46:36.611Z
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.tojson', 'Date.prototype.toJSON')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.toJSON")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.toLocaleDateString()")}}</li>
 <li>{{jsxref("Date.prototype.toTimeString()")}}</li>
 <li>{{jsxref("Date.prototype.toUTCString()")}}</li>
</ul>
